org.apache.hadoop.hdfs.protocol

## Enum HdfsConstants.DatanodeReportType

- java.lang.Object
- - java.lang.Enum<HdfsConstants.DatanodeReportType>
  - - org.apache.hadoop.hdfs.protocol.HdfsConstants.DatanodeReportType

- All Implemented Interfaces:
    Serializable, Comparable<HdfsConstants.DatanodeReportType>
  Enclosing class:
    org.apache.hadoop.hdfs.protocol.HdfsConstants

      public static enum HdfsConstants.DatanodeReportType
      extends Enum<HdfsConstants.DatanodeReportType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `DEAD`
    `DECOMMISSIONING`
    `ENTERING_MAINTENANCE`
    `IN_MAINTENANCE`
    `LIVE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HdfsConstants.DatanodeReportType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HdfsConstants.DatanodeReportType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final HdfsConstants.DatanodeReportType ALL

    - #### LIVE

          public static final HdfsConstants.DatanodeReportType LIVE

    - #### DEAD

          public static final HdfsConstants.DatanodeReportType DEAD

    - #### DECOMMISSIONING

          public static final HdfsConstants.DatanodeReportType DECOMMISSIONING

    - #### ENTERING_MAINTENANCE

          public static final HdfsConstants.DatanodeReportType ENTERING_MAINTENANCE

    - #### IN_MAINTENANCE

          public static final HdfsConstants.DatanodeReportType IN_MAINTENANCE

  - ### Method Detail

    - #### values

          public static HdfsConstants.DatanodeReportType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HdfsConstants.DatanodeReportType c : HdfsConstants.DatanodeReportType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HdfsConstants.DatanodeReportType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.